//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Product
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Product()
        {
            this.DeliveryOrderDetails = new HashSet<DeliveryOrderDetail>();
            this.DeliverySuppliersDetails = new HashSet<DeliverySuppliersDetail>();
            this.ExchangeDetails = new HashSet<ExchangeDetail>();
            this.ExcludedProducts = new HashSet<ExcludedProduct>();
            this.Images = new HashSet<Image>();
            this.LookbookProducts = new HashSet<LookbookProduct>();
            this.NewsletterProducts = new HashSet<NewsletterProduct>();
            this.OrderDetails = new HashSet<OrderDetail>();
            this.PhotoProducts = new HashSet<PhotoProduct>();
            this.PhotoProducts1 = new HashSet<PhotoProduct>();
            this.ProductPromotions = new HashSet<ProductPromotion>();
            this.ProductRelationships = new HashSet<ProductRelationship>();
            this.ProductRelationships1 = new HashSet<ProductRelationship>();
            this.ProductSkus = new HashSet<ProductSku>();
            this.PurchaseDetails = new HashSet<PurchaseDetail>();
            this.RefundDetails = new HashSet<RefundDetail>();
            this.RmaItems = new HashSet<RmaItem>();
            this.Stocks = new HashSet<Stock>();
            this.SupplierProducts = new HashSet<SupplierProduct>();
            this.WishlistItems = new HashSet<WishlistItem>();
        }
    
        public int ProductId { get; set; }
        public string Title { get; set; }
        public Nullable<int> CategoryId { get; set; }
        public string Description { get; set; }
        public string Code { get; set; }
        public Nullable<decimal> RetailPrice { get; set; }
        public Nullable<decimal> WholesalePrice { get; set; }
        public Nullable<decimal> DistributorPrice { get; set; }
        public Nullable<decimal> OldRetailPrice { get; set; }
        public Nullable<decimal> OldWholesalePrice { get; set; }
        public Nullable<decimal> OldDistributorPrice { get; set; }
        public Nullable<decimal> AverageCost { get; set; }
        public Nullable<decimal> AverageCostUsd { get; set; }
        public Nullable<decimal> Weight { get; set; }
        public Nullable<decimal> Heigth { get; set; }
        public Nullable<decimal> Long { get; set; }
        public Nullable<decimal> Wide { get; set; }
        public Nullable<int> BrandId { get; set; }
        public bool Outstanding { get; set; }
        public bool ShowInHome { get; set; }
        public bool OnSale { get; set; }
        public bool IsNew { get; set; }
        public bool Published { get; set; }
        public string Tags { get; set; }
        public string PhisicalLocationModule { get; set; }
        public Nullable<int> PhisicalLocationRow { get; set; }
        public Nullable<int> WarrantyDays { get; set; }
        public Nullable<decimal> MaxDiscount { get; set; }
        public bool PublishedWholesaler { get; set; }
        public bool LastUnits { get; set; }
        public bool SoldOut { get; set; }
        public bool HasStockControl { get; set; }
        public bool Active { get; set; }
        public Nullable<System.DateTime> Created { get; set; }
        public string CreatedBy { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public string DeletedBy { get; set; }
        public string MetaTitle { get; set; }
        public string MetaDescription { get; set; }
        public string Origin { get; set; }
        public Nullable<System.DateTime> DispatchDate { get; set; }
        public string DispatchNumber { get; set; }
        public string SeoUrl { get; set; }
        public Nullable<int> ShopImageSize { get; set; }
        public Nullable<System.DateTime> PublicationDate { get; set; }
        public Nullable<int> TagId { get; set; }
        public string SKU { get; set; }
        public string ColorCode { get; set; }
        public bool Denim { get; set; }
        public string Cloth { get; set; }
        public Nullable<int> DisplayOrder { get; set; }
    
        public virtual Brand Brand { get; set; }
        public virtual Category Category { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<DeliveryOrderDetail> DeliveryOrderDetails { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<DeliverySuppliersDetail> DeliverySuppliersDetails { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ExchangeDetail> ExchangeDetails { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ExcludedProduct> ExcludedProducts { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Image> Images { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<LookbookProduct> LookbookProducts { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<NewsletterProduct> NewsletterProducts { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<OrderDetail> OrderDetails { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<PhotoProduct> PhotoProducts { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<PhotoProduct> PhotoProducts1 { get; set; }
        public virtual Tag Tag { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ProductPromotion> ProductPromotions { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ProductRelationship> ProductRelationships { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ProductRelationship> ProductRelationships1 { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ProductSku> ProductSkus { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<PurchaseDetail> PurchaseDetails { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<RefundDetail> RefundDetails { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<RmaItem> RmaItems { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Stock> Stocks { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<SupplierProduct> SupplierProducts { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<WishlistItem> WishlistItems { get; set; }
    }
}
